TabPanelTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.TabPanelTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class TabPanelTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.TabPanelTagBase
                      org.richfaces.taglib.TabPanelTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class TabPanelTag

extends TabPanelTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TabPanelTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActiveTabClass(java.lang.String __activeTabClass)`
`void` | `setContentClass(java.lang.String __contentClass)`
`void` | `setContentStyle(java.lang.String __contentStyle)`
`void` | `setConverterMessage(java.lang.String __converterMessage)`
`void` | `setDisabledTabClass(java.lang.String __disabledTabClass)`
`void` | `setHeaderAlignment(java.lang.String __headerAlignment)`
`void` | `setHeaderClass(java.lang.String __headerClass)`
`void` | `setHeaderSpacing(java.lang.String __headerSpacing)`
`void` | `setHeight(java.lang.String __height)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setInactiveTabClass(java.lang.String __inactiveTabClass)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRenderedValue(java.lang.String __renderedValue)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRequiredMessage(java.lang.String __requiredMessage)`
`void` | `setSwitchType(java.lang.String __switchType)`
`void` | `setTabClass(java.lang.String __tabClass)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValidatorMessage(java.lang.String __validatorMessage)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.richfaces.taglib.TabPanelTagBase
`setSelectedTab, setValue`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabPanelTag

    public TabPanelTag()

Method Detail

### setWidth

    public void setWidth(java.lang.String __width)

### setContentStyle

    public void setContentStyle(java.lang.String __contentStyle)

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setActiveTabClass

    public void setActiveTabClass(java.lang.String __activeTabClass)

### setTabClass

    public void setTabClass(java.lang.String __tabClass)

### setSwitchType

    public void setSwitchType(java.lang.String __switchType)

### setHeight

    public void setHeight(java.lang.String __height)

### setRequiredMessage

    public void setRequiredMessage(java.lang.String __requiredMessage)

### setHeaderAlignment

    public void setHeaderAlignment(java.lang.String __headerAlignment)

### setDisabledTabClass

    public void setDisabledTabClass(java.lang.String __disabledTabClass)

### setRequired

    public void setRequired(java.lang.String __required)

### setValidatorMessage

    public void setValidatorMessage(java.lang.String __validatorMessage)

### setValid

    public void setValid(java.lang.String __valid)

### setInactiveTabClass

    public void setInactiveTabClass(java.lang.String __inactiveTabClass)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

### setContentClass

    public void setContentClass(java.lang.String __contentClass)

### setValidator

    public void setValidator(java.lang.String __validator)

### setConverterMessage

    public void setConverterMessage(java.lang.String __converterMessage)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setRenderedValue

    public void setRenderedValue(java.lang.String __renderedValue)

### setHeaderSpacing

    public void setHeaderSpacing(java.lang.String __headerSpacing)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `TabPanelTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.